/*
 * Copyright (C) 2014-2016 FAUmachine Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */

/*
 * For most of the comments, infos, ... see:
 * ARM Architecture Reference Manual (ARM DDI 0100I)
 */

#ifdef STATE

struct {
	int dummy;
} NAME;

#endif /* STATE */
#ifdef BEHAVIOR

static void
NAME_(mcr)(struct cpssp *cpssp, uint32_t insn, uint32_t val)
{
        fprintf(stderr, "WARNING: %s: insn=0x%08x, val=0x%08x\n",
                        __FUNCTION__, insn, val);
}

static void
NAME_(mrc)(struct cpssp *cpssp, uint32_t insn, uint32_t *valp)
{
	*valp = 0;

        fprintf(stderr, "WARNING: %s: insn=0x%08x\n",
			__FUNCTION__, insn, *valp);
}

static void
NAME_(reset)(struct cpssp *cpssp)
{
}

static void
NAME_(create)(struct cpssp *cpssp)
{
}

static void
NAME_(destroy)(struct cpssp *cpssp)
{
}

#endif /* BEHAVIOR */
